/* --------------------------- a2ddsp.c -------------------------------	*/
/* supply data to ffth from SoundBlaster DSP.				*/
/*									*/
/* Written by Eyal Lebedinsky [eyal@ise.canberra.edu.au]		*/
/*									*/
/* --------------------------------------------------------------------	*/

#include <stdio.h>

#include "sbio.h"

static int	initialized = 0;

int FAR
a2di ()
{
	if (initialized)
		return (0);

	if (ResetMPU ())
		return (-1);
	if (SetRate (8000L))
		return (-2);
	initialized = 1;
	return (0);
}

int FAR
a2d ()
{
	int	i;

#if 1
	if (!initialized) {
		if (a2di ())
			return (-1);
	}
#endif
	i = ReadSample ();
	if (i < 0)
		return (0);
	return ((i - 128) << 8);
}
