/*--------------------------- fftdata2.c ------------------------------ */
/*									*/
/* Author:	Eyal Lebedinsky						*/
/* Date:	Sept 1990						*/
/* Version:	1 Sept 1991						*/
/*									*/
/* Generate sample data to test fft().					*/
/* Use:									*/
/*	fftdata2 >d8g.fft	[or whatever name]			*/
/*									*/
/* This program is released into the public domain.			*/
/*									*/
/*----------------------------------------------------------------------*/

#include <stdio.h>
#include <math.h>

static double	x[256];

main ()
{
	int	i, j;
	double	twopi, xh;

	printf ("256\n");		/* number of points */

	twopi = 6.2831853071719586;
	xh = 0;
	for (i = 0; i < 256; ++i) {
		x[i] = 0;
		for (j = 0; j <= 64; ++j)
			x[i] += sin (j * i * twopi / 256);
		if (fabs (x[i]) > xh)
			xh = fabs (x[i]);
	}

	for (i = 0; i < 256; ++i)
		printf ("%d\n", (int)(32767 * x[i] / xh));

	exit (0);
}
