/*--------------------------- fftdata3.c ------------------------------ */
/*									*/
/* Author:	Eyal Lebedinsky						*/
/* Date:	Sept 1990						*/
/* Version:	1 Sept 1991						*/
/*									*/
/* Generate sample data to test fft().					*/
/* Use:									*/
/*	fftdata3 >d8h.fft	[or whatever name]			*/
/*									*/
/* This program is released into the public domain.			*/
/*									*/
/*----------------------------------------------------------------------*/

#include <stdio.h>
#include <math.h>

static double	x[256];

main ()
{
	int	i;
	double	twopi;

	printf ("256\n");		/* number of points */

	twopi = 6.2831853071719586;
	for (i = 0; i < 256; ++i)
		x[i] = sin (127 * i * twopi / 256);

	for (i = 0; i < 256; ++i)
		printf ("%d\n", (int)(32767 * x[i]));

	exit (0);
}
